/*
*  Copyright 2016 Adobe Systems Incorporated. All rights reserved.
*  This file is licensed to you under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License. You may obtain a copy
*  of the License at http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software distributed under
*  the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
*  OF ANY KIND, either express or implied. See the License for the specific language
*  governing permissions and limitations under the License.
*
*/

(function(factory) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../../utils/ApiClient'), require('../../model/megaSigns/DeviceLocation'), require('../../model/megaSigns/DocumentHistoryEvent'), require('../../model/megaSigns/ExternalId'), require('../../model/megaSigns/FileInfo'), require('../../model/megaSigns/MegaSign'), require('../../model/megaSigns/MegaSignChildAgreement'), require('../../model/megaSigns/MegaSignChildAgreements'), require('../../model/megaSigns/MegaSignCreationInfo'), require('../../model/megaSigns/MegaSignCreationRequest'), require('../../model/megaSigns/MegaSignCreationResponse'), require('../../model/megaSigns/MegaSignInfo'), require('../../model/megaSigns/MegaSigns'), require('../../model/megaSigns/MegaSignStatusUpdateInfo'), require('../../model/megaSigns/MegaSignStatusUpdateResponse'), require('../../model/megaSigns/MergefieldInfo'), require('../../model/megaSigns/PostSignOptions'), require('../../model/megaSigns/RecipientInfo'), require('../../model/megaSigns/RecipientSetInfo'), require('../../model/megaSigns/SecurityOption'), require('../../model/megaSigns/URLFileInfo'), require('../../model/megaSigns/VaultingInfo'));

}(function(ApiClient, DeviceLocation, DocumentHistoryEvent, ExternalId, FileInfo, MegaSign, MegaSignChildAgreement, MegaSignChildAgreements, MegaSignCreationInfo, MegaSignCreationRequest, MegaSignCreationResponse, MegaSignInfo, MegaSigns, MegaSignStatusUpdateInfo, MegaSignStatusUpdateResponse, MergefieldInfo, PostSignOptions, RecipientInfo, RecipientSetInfo, SecurityOption, URLFileInfo, VaultingInfo) {
  'use strict';

  /**
   * @module MegaSignsIndex
   * @version 1.1.0
   */
  var MegaSignsIndex = {
    /**
     * The ApiClient constructor.
     * @property {module:ApiClient}
     */
    ApiClient: ApiClient,
    /**
     * The DeviceLocation model constructor.
     * @property {module:model/megaSigns/DeviceLocation}
     */
    DeviceLocation: DeviceLocation,
    /**
     * The DocumentHistoryEvent model constructor.
     * @property {module:model/megaSigns/DocumentHistoryEvent}
     */
    DocumentHistoryEvent: DocumentHistoryEvent,
    /**
     * The ExternalId model constructor.
     * @property {module:model/megaSigns/ExternalId}
     */
    ExternalId: ExternalId,
    /**
     * The FileInfo model constructor.
     * @property {module:model/megaSigns/FileInfo}
     */
    FileInfo: FileInfo,
    /**
     * The MegaSign model constructor.
     * @property {module:model/megaSigns/MegaSign}
     */
    MegaSign: MegaSign,
    /**
     * The MegaSignChildAgreement model constructor.
     * @property {module:model/megaSigns/MegaSignChildAgreement}
     */
    MegaSignChildAgreement: MegaSignChildAgreement,
    /**
     * The MegaSignChildAgreements model constructor.
     * @property {module:model/megaSigns/MegaSignChildAgreements}
     */
    MegaSignChildAgreements: MegaSignChildAgreements,
    /**
     * The MegaSignCreationInfo model constructor.
     * @property {module:model/megaSigns/MegaSignCreationInfo}
     */
    MegaSignCreationInfo: MegaSignCreationInfo,
    /**
     * The MegaSignCreationRequest model constructor.
     * @property {module:model/megaSigns/MegaSignCreationRequest}
     */
    MegaSignCreationRequest: MegaSignCreationRequest,
    /**
     * The MegaSignCreationResponse model constructor.
     * @property {module:model/megaSigns/MegaSignCreationResponse}
     */
    MegaSignCreationResponse: MegaSignCreationResponse,
    /**
     * The MegaSignInfo model constructor.
     * @property {module:model/megaSigns/MegaSignInfo}
     */
    MegaSignInfo: MegaSignInfo,
    /**
     * The MegaSigns model constructor.
     * @property {module:model/megaSigns/MegaSigns}
     */
    MegaSigns: MegaSigns,
    /**
     * The MegaSignStatusUpdateInfo model constructor.
     * @property {module:model/megaSigns/MegaSignStatusUpdateInfo}
     */
    MegaSignStatusUpdateInfo: MegaSignStatusUpdateInfo,
    /**
     * The MegaSignStatusUpdateResponse model constructor.
     * @property {module:model/megaSigns/MegaSignStatusUpdateResponse}
     */
    MegaSignStatusUpdateResponse: MegaSignStatusUpdateResponse,
    /**
     * The MergefieldInfo model constructor.
     * @property {module:model/megaSigns/MergefieldInfo}
     */
    MergefieldInfo: MergefieldInfo,
    /**
     * The PostSignOptions model constructor.
     * @property {module:model/megaSigns/PostSignOptions}
     */
    PostSignOptions: PostSignOptions,
    /**
     * The RecipientInfo model constructor.
     * @property {module:model/megaSigns/RecipientInfo}
     */
    RecipientInfo: RecipientInfo,
    /**
     * The RecipientSetInfo model constructor.
     * @property {module:model/megaSigns/RecipientSetInfo}
     */
    RecipientSetInfo: RecipientSetInfo,
    /**
     * The SecurityOption model constructor.
     * @property {module:model/megaSigns/SecurityOption}
     */
    SecurityOption: SecurityOption,
    /**
     * The URLFileInfo model constructor.
     * @property {module:model/megaSigns/URLFileInfo}
     */
    URLFileInfo: URLFileInfo,
    /**
     * The VaultingInfo model constructor.
     * @property {module:model/megaSigns/VaultingInfo}
     */
    VaultingInfo: VaultingInfo
  };

  return MegaSignsIndex ;
}));
